## spaced 1.0.2+dfsg

=== Makefile ===

all: 
		g++ -O3 -std=c++11 spaced.cc  variance.cpp patternset.cpp extkey.cpp -o spaced -fopenmp

=== debian/changelog ===
spaced (1.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #815672)
  * Remove the precompiled binary via get-orig-source script
  * Add a manpage
  * Fix a problem if the compiler does not support OpenMP
  * Add autotools as proper build system

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Mon, 28 Mar 2016 19:41:33 +0200

=== debian/control ===
Source: spaced
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/git/debian-med/spaced.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/spaced.git
Homepage: http://spaced.gobics.de/

Package: spaced
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alignment-free sequence comparison using spaced words
 Spaced (Words) is a new approach to alignment-free sequence
 comparison. While most alignment-free algorithms compare the
 word-composition of sequences, spaced uses a pattern of care and
 don't care positions. The occurrence of a spaced word in a sequence
 is then defined by the characters at the match positions only, while
 the characters at the don't care positions are ignored. Instead of
 comparing the frequencies of contiguous words in the input sequences,
 this new approach compares the frequencies of the spaced words according
 to the pre-defined pattern. An information-theoretic distance measure
 is then used to define pairwise distances on the set of input sequences
 based on their spaced-word frequencies. Systematic test runs on real and
 simulated sequence sets have shown that, for phylogeny reconstruction,
 this multiple-spaced-words approach is far superior to the classical
 alignment-free approach based on contiguous word frequencies.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --with autoreconf

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
# Use the d/get-orig-source script until upstream fixes its releases.

#version=3

#http://spaced.gobics.de/ .*/spaced-(.*)\.tar\.gz

# if tweaking of source is needed
# \
# debian debian/get-orig-source

# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## spaced 1.2.0

=== Makefile ===

all: 
		g++ -O3 -fopenmp -std=c++11 src/spaced.cc  src/variance.cpp src/patternset.cpp -o spaced

## spaced 1.2.0-201605%2Bdfsg

=== debian/changelog ===
spaced (1.2.0-201605+dfsg-3) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team Upload.
  * Add test data
  * Add autopkgtests
  * Install README as docs

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 16:10:19 +0530

spaced (1.2.0-201605+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 17:21:03 +0100

spaced (1.2.0-201605+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream source
  * Fix get-orig-source script
  * Provide manpage in debian/spaced.1 instead of patch
  * Fake watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 19:12:45 +0200

## spaced 1.2.0-201605+dfsg

=== debian/changelog ===
spaced (1.2.0-201605+dfsg-4) unstable; urgency=medium

  * Add myself to Uploaders
    Closes: #1059714
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 15:46:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: spaced
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
-Build-Depends:
-	debhelper (>= 9),
-	dh-autoreconf,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/spaced.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/spaced.git
-Homepage: http://spaced.gobics.de/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/spaced
+Vcs-Git: https://salsa.debian.org/med-team/spaced.git
+Homepage: https://spaced.gobics.de/
+Rules-Requires-Root: no
 
 Package: spaced
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: alignment-free sequence comparison using spaced words
  Spaced (Words) is a new approach to alignment-free sequence
  comparison. While most alignment-free algorithms compare the

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

get-orig-source:
	. debian/get-orig-source
